API reference
AI accounts
GET
bearerheader
AuthorizationBearer <token>OK
application/json- response
accounts*array<>capabilities*array<string>curl -X GET 'https://api.keko.run/v1/accounts'Example Response
{ "accounts": [ { "id": "string", "kind": "claude-subscription", "label": "string", "order": 0, "state": "ok", "resetsAt": 0, "lastError": "string", "addedAt": 0, "updatedAt": 0, "baseUrl": "string", "providerId": "string", "authStyle": "x-api-key", "api": "openai-completions", "models": [ "string" ], "providerAccountId": "string" } ], "capabilities": [ "string" ]}POST
bearerheader
AuthorizationBearer <token>application/json- body
account*||||state?stringDefault
"ok"Value in
"ok""invalid_token""plan_not_allowed""usage_limit""unavailable"resetsAt?|Default
nullOK
application/json- response
account*curl -X POST 'https://api.keko.run/v1/accounts' \ -H 'Content-Type: application/json' \ -d '{ "account": { "kind": "claude-subscription", "label": "string", "token": "string" }}'Example Response
{ "account": { "id": "string", "kind": "claude-subscription", "label": "string", "order": 0, "state": "ok", "resetsAt": 0, "lastError": "string", "addedAt": 0, "updatedAt": 0, "baseUrl": "string", "providerId": "string", "authStyle": "x-api-key", "api": "openai-completions", "models": [ "string" ], "providerAccountId": "string" }}PUT
bearerheader
AuthorizationBearer <token>application/json- body
ids*array<>Items
items <= 200OK
application/json- response
accounts*array<>curl -X PUT 'https://api.keko.run/v1/accounts/order' \ -H 'Content-Type: application/json' \ -d '{ "ids": [ "string" ]}'Example Response
{ "accounts": [ { "id": "string", "kind": "claude-subscription", "label": "string", "order": 0, "state": "ok", "resetsAt": 0, "lastError": "string", "addedAt": 0, "updatedAt": 0, "baseUrl": "string", "providerId": "string", "authStyle": "x-api-key", "api": "openai-completions", "models": [ "string" ], "providerAccountId": "string" } ]}GET
bearerheader
AuthorizationBearer <token>OK
application/json- response
accounts*array<>curl -X GET 'https://api.keko.run/v1/accounts/for-engine'Example Response
{ "accounts": [ {} ]}PATCH
bearerheader
AuthorizationBearer <token>id*stringapplication/json- body
credential?signedInAt?numberstate?stringValue in
"ok""invalid_token""plan_not_allowed""usage_limit""unavailable"resetsAt?number|nulllastError?|nullOK
application/json- response
ok*booleancurl -X PATCH 'https://api.keko.run/v1/accounts/for-engine/string' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "ok": true}PATCH
bearerheader
AuthorizationBearer <token>id*stringapplication/json- body
label?stringmodels?array<>Items
items <= 1000token?stringLength
length <= 8192credential?OK
application/json- response
account*curl -X PATCH 'https://api.keko.run/v1/accounts/string' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "account": { "id": "string", "kind": "claude-subscription", "label": "string", "order": 0, "state": "ok", "resetsAt": 0, "lastError": "string", "addedAt": 0, "updatedAt": 0, "baseUrl": "string", "providerId": "string", "authStyle": "x-api-key", "api": "openai-completions", "models": [ "string" ], "providerAccountId": "string" }}DELETE
bearerheader
AuthorizationBearer <token>id*stringOK
application/json- response
ok*booleancurl -X DELETE 'https://api.keko.run/v1/accounts/string'Example Response
{ "ok": true}POST
bearerheader
AuthorizationBearer <token>id*stringOK
application/json- response
account*curl -X POST 'https://api.keko.run/v1/accounts/string/restore'Example Response
{ "account": { "id": "string", "kind": "claude-subscription", "label": "string", "order": 0, "state": "ok", "resetsAt": 0, "lastError": "string", "addedAt": 0, "updatedAt": 0, "baseUrl": "string", "providerId": "string", "authStyle": "x-api-key", "api": "openai-completions", "models": [ "string" ], "providerAccountId": "string" }}